  require 'sketchup.rb'
  require 'extensions.rb'
  
    
  module Engineeringtoolbox
    module Tools
  
      unless file_loaded?(__FILE__)
        ex = SketchupExtension.new('Engineering ToolBox', 'engineeringtoolbox_tools/engineeringtoolbox')
        ex.description = 'Add standard and customized parametric components - like flange columns and beams, lumbers, piping, geometric figures and more..'
        ex.version     = '1.0.4'
        ex.copyright   = '2009, The Engineering ToolBox'
        ex.creator     = 'The Engineering ToolBox'
        Sketchup.register_extension(ex, true)
        file_loaded(__FILE__)
      end
  
    end # module Tools
  end # module Engineeringtoolbox