# Copyright 2008, Engineering ToolBox

# This software is provided as a part of the Engineering Toolbox Google Sketchup 
# application.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------

require 'sketchup.rb'

module Engineeringtoolbox
  module Tools

    def self.create_dialog
      dlg = UI::WebDialog.new("Engineering ToolBox", true, "", 1000, 800, 150, 150, true);
      dlg.allow_actions_from_host "engineeringtoolbox.com"
      dlg.set_url "https://sketchup.engineeringtoolbox.com/"
      dlg.show
    
      dlg.add_action_callback("insert") {|d,p|
	    eval(p)
      }
    end
    
    unless file_loaded?(__FILE__)
      menu = UI.menu('Plugins')
      menu.add_item('Engineering ToolBox') {
	self.create_dialog
      }
      file_loaded(__FILE__)
    end

  end # module Tools
end # module Engineeringtoolbox